Skip to content
extensions / Commerce extension
POST/api/projects/{project_id}/sales/orders/{order_id}/shipments/can-create

Check Shipment Availability

Evaluates whether a shipment can be created for an order in the target project.

POST

Authentication

Requirement
Required
Credential type
Bearer API key
Scopes
Not specified

Permissions

  • Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.

Headers

NameRequiredTypeDetails
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
project_idYesNot specified
Description: Target project identifier.
order_idYesNot specified
Description: Identifier for order.

Query Parameters

Request Body

Schema: CanCreateShipmentRequest

FieldRequiredTypeDetails
shipmentNoCreateShipmentRequest
Description: Value used by this operation.
is_admin_approvedNoboolean
Description: Boolean flag.
is_stock_reservedNoboolean
Description: Boolean flag.
triggerNostring
Description: Text value.

Response Body

Example 200 response

json
{
  "allowed": "string",
  "reasons": [],
  "warnings": []
}

Errors

400 bad_request404 not_found500 internal_server_error

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified